/** MasterGear: portable MasterSystem/GameGear emulator ******/
/**                                                         **/
/**                          Help.h                         **/
/**                                                         **/
/** This file contains help information printed out by the  **/
/** main() routine when started with option "-help".        **/
/**                                                         **/
/** Copyright (C) Marat Fayzullin 1994,1995,1996            **/
/**     You are not allowed to distribute this software     **/
/**     commercially. Please, notify me, if you make any    **/
/**     changes to this file.                               **/
/*************************************************************/

char *HelpText[] =
{
  "\nUsage: mg [-option1 [-option2...]] [filename]",
  "\n[filename] = Name of the file to load as a cartridge [CART.ROM]",
#ifdef ZLIB
  "  This program will transparently uncompress singular GZIPped",
  "  and PKZIPped files.",
#endif
  "\n[-option]  =",
  "  -verbose <level>    - Select debugging messages [1]",
  "                         0 - Silent             1 - Startup messages",
  "                         2 - Illegal accesses   4 - Illegal Z80 ops", 
  "                         8 - Bank switching    16 - Sound",
  "                        32 - VDP registers",
  "  -vperiod <period>   - Set VBlank period [8000ops]",
  "  -uperiod <period>   - Number of interrupts per screen update [2]",
  "  -help               - Print this help page",
  "  -sms/-gg            - Run in MasterSystem/GameGear mode [-sms]",
  "                        (overrides .SMS/.GG file extensions)",
  "  -engl/-jap          - Run in English/Japanese mode [-engl]",
  "                        (overrides country code in GG carts)",
  "  -autoa/-noautoa     - Autofire/No autofire for button A [-noautoa]",
  "  -autob/-noautob     - Autofire/No autofire for button B [-noautob]",
  "  -delay/-nodelay     - Delay/Don't delay VRAM reads [-nodelay]",
  "  -logsnd <filename>  - Write soundtrack to a file [off]",
#ifdef DEBUG
  "  -trap <address>     - Trap execution when PC reaches address [FFFFh]",
#endif
#ifdef SOUND
  "  -sound [<quality>]  - Emulate sound with given quality [-nosound]",
  "                        0 - Off              7 - Highest quality",
  "                        (4 assumed if no quality was given)",
  "  -nosound            - Don't emulate sound [-nosound]",
#endif
#ifdef UNIX
#ifdef MITSHM
  "  -shm/-noshm         - Use/Don't use MIT SHM extensions for X [-shm]",
#endif
  "  -saver/-nosaver     - Save/Don't save CPU when inactive [-saver]",
#endif
#ifdef MSDOS
#ifdef GIFLIB
  "  -back <filename>    - Use <filename> as background picture [MG.GIF]",
#endif
  "  -vsync/-novsync     - Sync/Don't sync screen updates [-novsync]",
#endif
  "\nKeyboard bindings:",
  "  [SPACE]    - FIRE-A button (also: [LALT],A,S,D,F,G,H,J,K,L)",
  "  [LCONTROL] - FIRE-B button (also: Z,X,C,V,B,N,M)",
  "  [ENTER]    - START button (only in GameGear mode)",
  "  [TAB]      - RESET button (only in MasterSystem mode)",
  "  [BACKSPC]  - PAUSE button (only in MasterSystem mode)",
  "  [ESC]      - Quit emulation (also: [F12])",
  "  [SHIFT] and [CAPSLOCK] switch between MasterSystem joypads",
#ifdef SOUND
  "  [1]-[4]    - Toggle sound channels on/off",
  "  [0]        - Toggle all sound on/off",
  "  [-]        - Decrease sound volume",
  "  [+]        - Increase sound volume",
#endif
#ifdef DEBUG
  "  [F1]       - Go into the built-in debugger",
#endif
#ifdef MSDOS
  "  [F2]       - Toggle joystick 1 on/off",
  "  [F3]       - Toggle joystick 2 on/off",
#endif
#ifdef GIFLIB
  "  [F4]       - Make a screen snapshot (SNAPxxxx.GIF)",
#endif
  0
};
